#!/bin/bash

if [ ! -f ~/run/abe-servicelogic.pid ]; then
  echo "Server [abe-servicelogic] doest not started!"
  exit
fi

pid=`cat ~/run/abe-servicelogic.pid`
if [ ! -n "${pid}" ]; then
  echo "illegal content in abe-servicelogic.pid!"
  exit
fi

process=`ps -aux|awk '{print $2}' | grep ${pid}`
if [ -n "${process}" ]; then
  echo "Server [abe-servicelogic] will be stop."
  kill ${pid}

  times=0
  while true
  do
    process=`ps -aux|awk '{print $2}' | grep ${pid}`
    if [ -n "${process}" ] && [ ${times} -lt 10 ]; then
      let times++
      sleep 1
    else
      break
    fi
  done

  process=`ps -aux|awk '{print $2}' | grep ${pid}`
  if [ -n "${process}" ]; then
    ## force kill process id
    kill -9 ${pid}
    echo "Server [abe-servicelogic] has been forced to stop!"
  fi
else
  echo "Server [abe-servicelogic] has been stoped."
fi

rm -f ~/run/abe-servicelogic.pid