#!/bin/bash

[ ! -d ~/run/ ] && mkdir -p ~/run

if [ -f ~/run/abe-servicelogic.pid ]; then
  echo "Server [abe-servicelogic] has been started!";
  exit
fi

HEAP_MEMORY=256m
SERVER_JAR=`ls ../lib/abe-servicelogic-1.1.0.jar`

exec "${JAVA_HOME}/bin/java" -server -Dspring.profiles.active=dev -Xms${HEAP_MEMORY} -Xmx${HEAP_MEMORY} -XX:+HeapDumpOnOutOfMemoryError -jar ${SERVER_JAR} >/dev/null 2>&1 & echo $! > ~/run/abe-servicelogic.pid